#include <libusb.h>
#include <stdio.h>
#include <stdlib.h>

#include "device/device.h"

void usb_init()
{
    // List all usb devices obtaining 'vendor:product'
    // Call corresponding driver if it exists, so 
    // that we get a peripheral handle
    if(libusb_init(NULL))
    {
        fprintf(stderr, "Error: Could not initialize libusb\n");
        return;
    }

    libusb_device** list;
    ssize_t device_count = libusb_get_device_list(NULL, &list);
    if(device_count <= 0) return;

    for(ssize_t i = 0; i < device_count; i++)
    {
        libusb_device* current = list[i];
        struct libusb_device_descriptor desc;
        libusb_get_device_descriptor(current, &desc);

        printf("Found usb device %04x:%04x\n", desc.idVendor, desc.idProduct);
        array_t* array = device_get_array();
        array_add(array, 0);
    }
}
